PETSc version 3.15.5
Fix/Edit manual page

# PetscHIPInitializeCheck

Check if HIP is initialized. If not, initialize it.

### Synopsis

    PETSC_EXTERN PetscErrorCode PetscHIPInitializeCheck(void)

Logically collective

### Notes

See notes of PetscCUDAInitializeCheck() for details.

.seealso: PetscHIPInitialize(), PetscCUDAInitialize(), PetscCUDAInitializeCheck()

### Level

beginner

### Location

src/sys/objects/cupminit.inc
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages